Skip to content
POST

Release an authorization

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/release-remaining-authorization

Release remaining authorization. Read more on Releasing remaining authorization

Parameters2 fields
  • order_idstring · uuidrequiredin path

    Order id

  • Klarna-Idempotency-Keystringoptionalin header

    This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

204
Response0 fields

Remaining authorization was released.

No response body — this status returns headers only.

403
Response3 fields

Can not release when order is cancelled or has no captures.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

404
Response3 fields

Not Found

  • correlation_idstringoptional
  • error_codestringoptional
    • INTERNAL_ERROR
    • NOT_FOUND
    • TOO_MANY_REQUESTS
    • REFUND_NOT_ALLOWED
    • CAPTURE_NOT_ALLOWED
    • CANCEL_NOT_ALLOWED
    • UPDATE_NOT_ALLOWED
    • NO_SUCH_ORDER
    • BAD_REQUEST
    • PAYLOAD_TOO_LARGE
    • NO_SUCH_CAPTURE
    • RESOURCE_NOT_FOUND
    • +4 more
  • error_messages[]array<string>optional
409
Response0 fields

Conflict

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.